"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Client = void 0;
const abyssAPI_1 = require("../Battle/abyssAPI");
class Client {
    /**
     * @param {ClientCookieManager} cookieManager - The cookie manager to use.
     * @param {Object} options - The options to use.
     */
    constructor(cookieManager, options) {
        Object.defineProperty(this, "options", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "cookieManager", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.cookieManager = cookieManager;
        this.options = options;
    }
    async getAbyssBattle(uid) {
        const ltoken = this.cookieManager.ltoken;
        const ltuid = this.cookieManager.ltuid;
        const { language } = this.options;
        const res = new abyssAPI_1.getAbyssBattle().requestAPI(language, `ltoken=${ltoken}; ltuid=${ltuid};`, uid);
        return res;
    }
}
exports.Client = Client;
//# sourceMappingURL=client.js.map